"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var src_exports = {};
__export(src_exports, {
  createVitesseBlackTheme: () => createVitesseBlackTheme,
  createVitesseDarkTheme: () => createVitesseDarkTheme,
  createVitesseLightTheme: () => createVitesseLightTheme,
  defaultSettingsVitesseBlack: () => defaultSettingsVitesseBlack,
  defaultSettingsVitesseDark: () => defaultSettingsVitesseDark,
  defaultSettingsVitesseLight: () => defaultSettingsVitesseLight,
  vitesseBlack: () => vitesseBlack,
  vitesseDark: () => vitesseDark,
  vitesseLight: () => vitesseLight
});
module.exports = __toCommonJS(src_exports);

// src/themes/dark.ts
var import_highlight = require("@lezer/highlight");
var import_codemirror_themes = require("@uiw/codemirror-themes");
var defaultSettingsVitesseDark = {
  background: "#121212",
  foreground: "#dbd7caee",
  selection: "#eeeeee18",
  selectionMatch: "#eeeeee10",
  gutterBackground: "#181818",
  gutterForeground: "#dedcd550"
};
var createVitesseDarkTheme = (options = {}) => {
  const { theme = "dark", settings = {}, styles = [] } = options;
  return (0, import_codemirror_themes.createTheme)({
    theme,
    settings: { ...defaultSettingsVitesseDark, ...settings },
    styles: [
      { tag: [import_highlight.tags.standard(import_highlight.tags.tagName), import_highlight.tags.tagName], color: "#4d9375" },
      { tag: [import_highlight.tags.comment], color: "#758575dd" },
      { tag: [import_highlight.tags.bracket], color: "#666666" },
      { tag: [import_highlight.tags.className, import_highlight.tags.propertyName], color: "#5DA994" },
      { tag: [import_highlight.tags.variableName, import_highlight.tags.attributeName, import_highlight.tags.number], color: "#bd976a" },
      { tag: [import_highlight.tags.keyword, import_highlight.tags.typeName], color: "#4d9375" },
      { tag: [import_highlight.tags.operator, import_highlight.tags.typeOperator], color: "#cb7676" },
      { tag: [import_highlight.tags.string, import_highlight.tags.meta], color: "#c98a7d" },
      { tag: [import_highlight.tags.regexp], color: "#c4704f" },
      { tag: [import_highlight.tags.name], color: "#22863a" },
      { tag: [import_highlight.tags.quote], color: "#5d99a9" },
      { tag: [import_highlight.tags.heading, import_highlight.tags.strong], color: "#dbd7cacc", fontWeight: "bold" },
      { tag: [import_highlight.tags.emphasis], color: "#dbd7cacc", fontStyle: "italic" },
      // cSpell: disable-next-line
      { tag: [import_highlight.tags.deleted], color: "#fdaeb7", backgroundColor: "86181d" },
      { tag: [import_highlight.tags.atom, import_highlight.tags.bool, import_highlight.tags.special(import_highlight.tags.variableName)], color: "#4d9375" },
      { tag: [import_highlight.tags.url, import_highlight.tags.escape, import_highlight.tags.link], color: "#dedcd590" },
      { tag: import_highlight.tags.link, textDecoration: "underline" },
      { tag: import_highlight.tags.strikethrough, textDecoration: "line-through" },
      { tag: import_highlight.tags.invalid, color: "#fdaeb7", fontStyle: "italic" },
      ...styles
    ]
  });
};
var vitesseDark = createVitesseDarkTheme();

// src/themes/light.ts
var import_highlight2 = require("@lezer/highlight");
var import_codemirror_themes2 = require("@uiw/codemirror-themes");
var defaultSettingsVitesseLight = {
  background: "#fff",
  foreground: "#393a34",
  selection: "#22222218",
  selectionMatch: "#22222210",
  gutterBackground: "#f7f7f7",
  gutterForeground: "#393a3450"
};
var createVitesseLightTheme = (options = {}) => {
  const { theme = "light", settings = {}, styles = [] } = options;
  return (0, import_codemirror_themes2.createTheme)({
    theme,
    settings: { ...defaultSettingsVitesseLight, ...settings },
    styles: [
      { tag: [import_highlight2.tags.standard(import_highlight2.tags.tagName), import_highlight2.tags.tagName], color: "#1e754f" },
      { tag: [import_highlight2.tags.comment], color: "#a0ada0" },
      { tag: [import_highlight2.tags.bracket], color: "#999999" },
      { tag: [import_highlight2.tags.className, import_highlight2.tags.propertyName], color: "#2e8f82" },
      { tag: [import_highlight2.tags.variableName, import_highlight2.tags.attributeName, import_highlight2.tags.number], color: "#b07d48" },
      { tag: [import_highlight2.tags.keyword, import_highlight2.tags.typeName], color: "#1e754f" },
      { tag: [import_highlight2.tags.operator, import_highlight2.tags.typeOperator], color: "#ab5959" },
      { tag: [import_highlight2.tags.string, import_highlight2.tags.meta], color: "#b56959" },
      { tag: [import_highlight2.tags.regexp], color: "#ab5e3f" },
      { tag: [import_highlight2.tags.name], color: "#22863a" },
      { tag: [import_highlight2.tags.quote], color: "#2e808f" },
      { tag: [import_highlight2.tags.heading, import_highlight2.tags.strong], color: "#393a34", fontWeight: "bold" },
      { tag: [import_highlight2.tags.emphasis], color: "#393a34", fontStyle: "italic" },
      // cSpell: disable-next-line
      { tag: [import_highlight2.tags.deleted], color: "#b31d28", backgroundColor: "ffeef0" },
      { tag: [import_highlight2.tags.atom, import_highlight2.tags.bool, import_highlight2.tags.special(import_highlight2.tags.variableName)], color: "#1e754f" },
      { tag: [import_highlight2.tags.url, import_highlight2.tags.escape, import_highlight2.tags.link], color: "#393a3490" },
      { tag: import_highlight2.tags.link, textDecoration: "underline" },
      { tag: import_highlight2.tags.strikethrough, textDecoration: "line-through" },
      { tag: import_highlight2.tags.invalid, color: "#b31d28", fontStyle: "italic" },
      ...styles
    ]
  });
};
var vitesseLight = createVitesseLightTheme();

// src/themes/black.ts
var import_highlight3 = require("@lezer/highlight");
var import_codemirror_themes3 = require("@uiw/codemirror-themes");
var defaultSettingsVitesseBlack = {
  background: "#000",
  foreground: "#dbd7cacc",
  selection: "#eeeeee18",
  selectionMatch: "#eeeeee10",
  gutterBackground: "#121212",
  gutterForeground: "#dedcd550"
};
var createVitesseBlackTheme = (options = {}) => {
  const { theme = "dark", settings = {}, styles = [] } = options;
  return (0, import_codemirror_themes3.createTheme)({
    theme,
    settings: { ...defaultSettingsVitesseBlack, ...settings },
    styles: [
      { tag: [import_highlight3.tags.standard(import_highlight3.tags.tagName), import_highlight3.tags.tagName], color: "#4d9375" },
      { tag: [import_highlight3.tags.comment], color: "#758575dd" },
      { tag: [import_highlight3.tags.bracket], color: "#666666" },
      { tag: [import_highlight3.tags.className, import_highlight3.tags.propertyName], color: "#5DA994" },
      { tag: [import_highlight3.tags.variableName, import_highlight3.tags.attributeName, import_highlight3.tags.number], color: "#bd976a" },
      { tag: [import_highlight3.tags.keyword, import_highlight3.tags.typeName], color: "#4d9375" },
      { tag: [import_highlight3.tags.operator, import_highlight3.tags.typeOperator], color: "#cb7676" },
      { tag: [import_highlight3.tags.string, import_highlight3.tags.meta], color: "#c98a7d" },
      { tag: [import_highlight3.tags.regexp], color: "#c4704f" },
      { tag: [import_highlight3.tags.name], color: "#22863a" },
      { tag: [import_highlight3.tags.quote], color: "#5d99a9" },
      { tag: [import_highlight3.tags.heading, import_highlight3.tags.strong], color: "#dbd7cacc", fontWeight: "bold" },
      { tag: [import_highlight3.tags.emphasis], color: "#dbd7cacc", fontStyle: "italic" },
      // cSpell: disable-next-line
      { tag: [import_highlight3.tags.deleted], color: "#fdaeb7", backgroundColor: "86181d" },
      { tag: [import_highlight3.tags.atom, import_highlight3.tags.bool, import_highlight3.tags.special(import_highlight3.tags.variableName)], color: "#4d9375" },
      { tag: [import_highlight3.tags.url, import_highlight3.tags.escape, import_highlight3.tags.link], color: "#dedcd590" },
      { tag: import_highlight3.tags.link, textDecoration: "underline" },
      { tag: import_highlight3.tags.strikethrough, textDecoration: "line-through" },
      { tag: import_highlight3.tags.invalid, color: "#fdaeb7", fontStyle: "italic" },
      ...styles
    ]
  });
};
var vitesseBlack = createVitesseBlackTheme();
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  createVitesseBlackTheme,
  createVitesseDarkTheme,
  createVitesseLightTheme,
  defaultSettingsVitesseBlack,
  defaultSettingsVitesseDark,
  defaultSettingsVitesseLight,
  vitesseBlack,
  vitesseDark,
  vitesseLight
});
