"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/themes/dark.ts
var dark_exports = {};
__export(dark_exports, {
  createVitesseDarkTheme: () => createVitesseDarkTheme,
  defaultSettingsVitesseDark: () => defaultSettingsVitesseDark,
  vitesseDark: () => vitesseDark
});
module.exports = __toCommonJS(dark_exports);
var import_highlight = require("@lezer/highlight");
var import_codemirror_themes = require("@uiw/codemirror-themes");
var defaultSettingsVitesseDark = {
  background: "#121212",
  foreground: "#dbd7caee",
  selection: "#eeeeee18",
  selectionMatch: "#eeeeee10",
  gutterBackground: "#181818",
  gutterForeground: "#dedcd550"
};
var createVitesseDarkTheme = (options = {}) => {
  const { theme = "dark", settings = {}, styles = [] } = options;
  return (0, import_codemirror_themes.createTheme)({
    theme,
    settings: { ...defaultSettingsVitesseDark, ...settings },
    styles: [
      { tag: [import_highlight.tags.standard(import_highlight.tags.tagName), import_highlight.tags.tagName], color: "#4d9375" },
      { tag: [import_highlight.tags.comment], color: "#758575dd" },
      { tag: [import_highlight.tags.bracket], color: "#666666" },
      { tag: [import_highlight.tags.className, import_highlight.tags.propertyName], color: "#5DA994" },
      { tag: [import_highlight.tags.variableName, import_highlight.tags.attributeName, import_highlight.tags.number], color: "#bd976a" },
      { tag: [import_highlight.tags.keyword, import_highlight.tags.typeName], color: "#4d9375" },
      { tag: [import_highlight.tags.operator, import_highlight.tags.typeOperator], color: "#cb7676" },
      { tag: [import_highlight.tags.string, import_highlight.tags.meta], color: "#c98a7d" },
      { tag: [import_highlight.tags.regexp], color: "#c4704f" },
      { tag: [import_highlight.tags.name], color: "#22863a" },
      { tag: [import_highlight.tags.quote], color: "#5d99a9" },
      { tag: [import_highlight.tags.heading, import_highlight.tags.strong], color: "#dbd7cacc", fontWeight: "bold" },
      { tag: [import_highlight.tags.emphasis], color: "#dbd7cacc", fontStyle: "italic" },
      // cSpell: disable-next-line
      { tag: [import_highlight.tags.deleted], color: "#fdaeb7", backgroundColor: "86181d" },
      { tag: [import_highlight.tags.atom, import_highlight.tags.bool, import_highlight.tags.special(import_highlight.tags.variableName)], color: "#4d9375" },
      { tag: [import_highlight.tags.url, import_highlight.tags.escape, import_highlight.tags.link], color: "#dedcd590" },
      { tag: import_highlight.tags.link, textDecoration: "underline" },
      { tag: import_highlight.tags.strikethrough, textDecoration: "line-through" },
      { tag: import_highlight.tags.invalid, color: "#fdaeb7", fontStyle: "italic" },
      ...styles
    ]
  });
};
var vitesseDark = createVitesseDarkTheme();
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  createVitesseDarkTheme,
  defaultSettingsVitesseDark,
  vitesseDark
});
